Method: customLists.get

  • This documentation outlines how to get a specific custom list using a GET HTTP request.

  • The request requires a customListId as a path parameter and either an advertiserId as a query parameter to specify the accessible entity.

  • The request body must be empty, and a successful response will contain a CustomList instance in the response body.

  • Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Gets a custom list.

HTTP request

GET https://displayvideo.googleapis.com/v4/customLists/{customListId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customListId

string (int64 format)

Required. The ID of the custom list to fetch.

Query parameters

Parameters
Required. Identifies which DV360 entity the request is being made within. The GET request will only return custom list entities that are accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
advertiserId

string (int64 format)

The ID of the DV360 advertiser that has access to the fetched custom lists.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CustomList.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.